/*  $Id: Equation.h,v 1.3 1997/04/04 08:22:36 jan Exp $

    Part of XPCE
    Designed and implemented by Anjo Anjewierden and Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1993-1997 University of Amsterdam. All rights reserved.
*/

#ifndef _PCE_EQUATION_H
#define _PCE_EQUATION_H

PceExternalClass(ClassEquation);
class PceEquation :public PceObject
{
public:
  PceEquation(PceArg left, PceArg right) :
    PceObject(ClassEquation, left, right)
  {
  }
};

inline PceEquation
AsEquation(PceArg a)
{ return *((PceEquation*) &a);
}

#endif /*!_PCE_EQUATION_H*/
